Qt 5.9 | Qt 3D | C++ Classes | QAnalogAxisInput

Qt 5.9.3 Reference Documentation

# QAnalogAxisInput Class

(Qt3DInput::QAnalogAxisInput)

An axis input controlled by an analog input The axis value is controlled like a traditional analog input such as a joystick. More...

Header: | #include <Qt3DInput/QAnalogAxisInput>
qmake: | QT += 3dinput
Since: | Qt 5.7
Instantiated By: | AnalogAxisInput
Inherits: | Qt3DInput::QAbstractAxisInput

- List of all members, including inherited members

## Properties

- axis : int

- 1 property inherited from Qt3DInput::QAbstractAxisInput
- 3 properties inherited from Qt3DCore::QNode

## Public Functions

| QAnalogAxisInput(Qt3DCore::QNode *parent = nullptr)
int | axis() const

- 1 public function inherited from Qt3DInput::QAbstractAxisInput
- 11 public functions inherited from Qt3DCore::QNode

## Public Slots

void | setAxis(int axis)

- 1 public slot inherited from Qt3DInput::QAbstractAxisInput
- 3 public slots inherited from Qt3DCore::QNode

## Signals

void | axisChanged(int axis)

- 1 signal inherited from Qt3DInput::QAbstractAxisInput
- 4 signals inherited from Qt3DCore::QNode

### Additional Inherited Members

- 2 protected functions inherited from Qt3DCore::QNode

## Detailed Description

An axis input controlled by an analog input The axis value is controlled like a traditional analog input such as a joystick.

## Property Documentation

### axis : int

Axis for the analog input.

Access functions:

int | axis() const
void | setAxis(int axis)

Notifier signal:

void | axisChanged(int axis)

See also Qt3DInput::QMouseDevice::Axis.

## Member Function Documentation

### QAnalogAxisInput::QAnalogAxisInput(Qt3DCore::QNode *parent = nullptr)

Constructs a new QAnalogAxisInput instance with parent.